Subject: [TR] TR3A Overdrive Question

From: "Jim Henningsen" <[email-masked]>
Date: Tue, 21 Apr 2020 16:26:03 -0400

Want to fix a leak on my 61 TR3A od gearbox on the OD brass plug.  It only
has 400+ miles since it was rebuilt, but they do like to leak.  Drained oil,
removed OD brass plug with 1 3/16 hex nut fitted.   Any recommendations on
best way to seal that brass plug?  The fiber washer for the sealing plug was
new when rebuilt and looks great.    Also, any recommendations on using
Valvoline VR 50w racing oil in tranny instead of the normal stuff? Heard
that was an option that worked well.
Thanks in advance?
Jim Henningsen
61 TR3A TS65657L
62 TR4 CT5212LO
75 TR6
81 TR8

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive